﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace TestDP
{
    public sealed class MeinConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value?.GetType() != typeof(int))
                return null;

            switch (MultiLanguage.Language)
            {
                case MultiLanguage.Languages.German:
                    return "deutscher wert";

                case MultiLanguage.Languages.English:
                    return "english value";

                default:
                    return "ungültige sprache";
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}